Modify

Ticket #3062 (closed Bugs: fixed)

Opened 5 years ago

Last modified 5 years ago

Top level headers unmerged in Boost.Serialization

Reported by: danieljames Owned by: danieljames
Milestone: Boost 1.40.0 Component: serialization
Version: Boost 1.38.0 Severity: Problem
Keywords: Cc:

Description

It looks like the top level boost serialization headers have been accidentally missed out of merges from trunk for a little while. Most of these have been deleted in trunk. The ones I've noticed are: boost/state_saver.hpp, boost/strong_typedef.hpp, boost/pfto.hpp, boost/smart_cast.hpp and boost/static_warning.hpp. Sorry if this is intended, it's hard to tell.

Boost.MPI in release still includes boost/pfto.hpp - I've filed a ticket #3061.

Attachments

Change History

comment:1 Changed 5 years ago by ramey

  • Owner changed from ramey to danieljames

These were copied to the boost/serialization directory some time ago. The versions in the boost/ directory are no longer used by the serialization library. We left them in boost/ for a while to give anyone else who is using them time to make the change. Sounds like time's up so feel free to remove them when you think it's a appropriate.

Robert Ramey

comment:2 Changed 5 years ago by danieljames

  • Status changed from new to assigned

OK, although there's no rush. I'll make sure MPI is okay first.

comment:3 Changed 5 years ago by danieljames

[53313]: Fix a couple of links to serialization headers.

comment:4 Changed 5 years ago by danieljames

(In [53756]) Update include from boost/pfto.hpp to boost/serialization/pfto.hpp. Refs #3062.

comment:5 Changed 5 years ago by danieljames

  • Status changed from assigned to closed
  • Resolution set to fixed

(In [53758]) Remove unused headers from boost directory. Fixes #3062.

Merged revisions 50645,53756 via svnmerge from  https://svn.boost.org/svn/boost/trunk

........

r50645 | ramey | 2009-01-16 21:15:25 +0000 (Fri, 16 Jan 2009) | 1 line

remove unused headers from boost directory

........

r53756 | danieljames | 2009-06-08 20:30:20 +0100 (Mon, 08 Jun 2009) | 1 line

Update include from boost/pfto.hpp to boost/serialization/pfto.hpp. Refs #3062.

........

comment:6 Changed 5 years ago by danieljames

(In [54397]) Fix a couple of links to serialization headers. Refs #3062.

Merged revisions 53313 via svnmerge from  https://svn.boost.org/svn/boost/trunk

........

r53313 | danieljames | 2009-05-27 18:43:36 +0100 (Wed, 27 May 2009) | 1 line

Fix a couple of links to serialization headers.

........

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.